# Reconciliation API

## Reconciliation API Flow

To integrate this API, you will use our STG environment. Once the integration is completed, you will move to our Production environment. Described below is the flow of usage of the Reconciliation API:

**1 -** **Register:** create a user on our **Staging Merchant Panel**. You won't be able to use this account to log in through the web once it was configured for using with the API.

**2 -** **Configure the account:** send an email to **<fabian.astrada@tupaypagos.com>** containing the email address you created the user's account with and the list of IPs you would like to whitelist to set up the account for API usage.

**3 -** **Integrate:** once our Integration team has configured your account, you can start integrating the API in our STG environment.

**4 -** **Login:** login by using the email and password from **step 1** using the **Login Endpoint**.

**5 -** **Consult details:** hit our **Transactions Endpoints** to retrieve the desired details.

**6 -** **Logout:** as soon as you've finished the activities, you may need to use the **Logout Endpoint** to terminate the session.

**7 -** **Move to Production:** as soon as you have completed the tests and you would like to start using it in our Production environment, please repeat steps **1** and **2** using our **Production Merchant Panel**.

## Initial Configurations

In order to start using the Reconciliation API, you will need to **create a user account** and whitelist the IPs. Please see the below two sections and follow by sending an email to **<fabian.astrada@tupaypagos.com>** adding the e-mail address you registered as well as the IPs requiring to be whitelisted.

### Create an account

Start by logging in the Staging Merchant Panel and **creating a user account**. Keep in mind that once configured, this new account won't work to log in from the web, but from the API instead. Once your tests are completed, please create a user account in the Production Merchant Panel.

### Whitelist the IPs

Having in mind that you are able to hit the Merchants API only from the whitelisted IPs, you will need to collect the required IPs and send them to the Integration team.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tupayonline.com/english/api-documentation/reconciliation-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
